{{- /*
SPDX-License-Identifier: EUPL-1.2
*/}}
{{- range $name, $entity := .Values.stations }}
{{- $type := "station" }}
{{- $persistence := default $.Values.persistence .persistence }}
{{- $commonLabels := default $.Values.commonLabels .commonLabels }}
{{- $commonAnnotations := default $.Values.commonAnnotations .commonAnnotations }}
{{- if and $persistence.enabled (not $persistence.existingClaim)  }}
kind: PersistentVolumeClaim
apiVersion: v1
metadata:
  name: {{ include "common.names.fullname" $ }}-{{ $type }}-{{ $name }}
  namespace: {{ $.Release.Namespace | quote }}
  labels: 
    {{- include "common.labels.standard" (dict "customLabels" $commonLabels "context" $) | nindent 4 }}
    app.kubernetes.io/component: {{ $type }}.{{ $name }}
  {{- if or $persistence.annotations $commonAnnotations }}
  {{- $annotations := include "common.tplvalues.merge" ( dict "values" ( list $persistence.annotations $commonAnnotations ) "context" $ ) }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" $annotations "context" $) | nindent 4 }}
  {{- end }}
spec:
  accessModes:
  {{- if not (empty $persistence.accessModes) }}
  {{- range $persistence.accessModes }}
    - {{ . | quote }}
  {{- end }}
  {{- else }}
    - {{ $persistence.accessMode | quote }}
  {{- end }}
  resources:
    requests:
      storage: {{ $persistence.size | quote }}
  {{- include "common.storage.class" (dict "persistence" $persistence "global" $.Values.global) | nindent 2 }}
  {{- if $persistence.selector }}
  selector: {{- include "common.tplvalues.render" (dict "value" $persistence.selector "context" $) | nindent 4 }}
  {{- end -}}
  {{- if $persistence.dataSource }}
  dataSource: {{- include "common.tplvalues.render" (dict "value" $persistence.dataSource "context" $) | nindent 4 }}
  {{- end }}
---
{{- end }}
{{- end }}
